org.keycloak.protocol.saml

## Class SamlProtocolUtils

- java.lang.Object
- - org.keycloak.protocol.saml.SamlProtocolUtils

-     public class SamlProtocolUtils
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SamlProtocolUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PublicKey` | `getEncryptionValidationKey(ClientModel client)`
    `static PublicKey` | `getPublicKey(ClientModel client, String attribute)`
    `static PublicKey` | `getSignatureValidationKey(ClientModel client)`
    `static void` | `verifyDocumentSignature(ClientModel client, Document document)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SamlProtocolUtils

          public SamlProtocolUtils()

  - ### Method Detail

    - #### verifyDocumentSignature

          public static void verifyDocumentSignature(ClientModel client,
                                     Document document)
                                              throws VerificationException

      Throws:
        `VerificationException`

    - #### getSignatureValidationKey

          public static PublicKey getSignatureValidationKey(ClientModel client)
                                                     throws VerificationException

      Throws:
        `VerificationException`

    - #### getEncryptionValidationKey

          public static PublicKey getEncryptionValidationKey(ClientModel client)
                                                      throws VerificationException

      Throws:
        `VerificationException`

    - #### getPublicKey

          public static PublicKey getPublicKey(ClientModel client,
                               String attribute)
                                        throws VerificationException

      Throws:
        `VerificationException`

Copyright © 2014. All Rights Reserved.